Subject: Re: [PATCH net-next 2/2] ice: add support for Auto FEC with FEC disabled via ETHTOOL_SFECPARAM

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 Aug 2022 16:32:32 -0700

On Wed, 24 Aug 2022 23:13:47 +0000 Keller, Jacob E wrote:
> > > According to the folks I talked to what we have here, we didn't
> > > understand this as being from a standard, but if it is I'd love to
> > > read on it.  
> > 
> > Table 110C–1—Host and cable assembly combinations
> > in IEEE 802.3 2018, that's what I was thinking of.  
> 
> Ah. I am not sure if the state machine in firmware uses this table or
> not, but my guess is that it does.

Yeah, I thought that's what AUTO means, otherwise if everyone did their
own thing we wouldn't get link up without real autoneg enabled, right?
Now the table only specifies minimum FEC requirements, in your case (and
perhaps for others) No FEC does not get used, presumably the selection
is only done between R and RS?